<template>
  <v-container grid-list-md text-xs-center>
    <v-layout>
      <v-flex xs12>
        <v-card dark color="primary">
          <v-card-text class="px-0">
            <h2>Formulaire d'édition</h2>
          </v-card-text>
        </v-card>
      </v-flex>
    </v-layout>
    <admin-news-edit
      :key="componentKey"
      v-on:refreshFromComponent="forceRerender()"
      ref="firstLevel"
    ></admin-news-edit>
  </v-container>
</template>
<script>
import AdminNewsEdit from "@/components/Admin/News/AdmNewsEdit.vue";

export default {
  components: {
    "admin-news-edit": AdminNewsEdit
  },
  data() {
    return {
      componentKey: 0
    };
  },
  methods: {
    // methode pour forcer a la demande le rendu du component dans la vue
    forceRerender() {
      this.componentKey += 1;
    }
  }
};
</script>

